UpdatePolicy
Updates the policy.
PATCH
/
v1
/
namespaces
/
{object.tenant_meta.namespace}
/
policies
UpdatePolicy
curl --request PATCH \
--url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/policies \
--header 'Content-Type: application/json' \
--data '
{
"object": {
"propagate": true,
"tenant_meta": {}
},
"request": {
"force": true,
"update_mask": "<string>"
}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/policies"
payload = {
"object": {
"propagate": True,
"tenant_meta": {}
},
"request": {
"force": True,
"update_mask": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
object: {propagate: true, tenant_meta: {}},
request: {force: true, update_mask: '<string>'}
})
};
fetch('https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"policy_type": "POLICY_TYPE_UNSPECIFIED",
"admission": {
"bypass_exceptions": true,
"disable_enforcement": true
},
"disable": true,
"exception": {
"reason": "EXCEPTION_REASON_UNSPECIFIED",
"expiration_time": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
]
},
"finding": {
"explanation": "<string>",
"level": "FINDING_LEVEL_UNSPECIFIED",
"remediation": "<string>",
"summary": "<string>",
"categories": [
"FINDING_CATEGORY_UNSPECIFIED"
],
"external_name": "<string>",
"meta_tags": [
"<string>"
],
"tags": [
"FINDING_TAGS_UNSPECIFIED"
],
"target_kind": "<string>"
},
"finding_categories": [
"FINDING_CATEGORY_UNSPECIFIED"
],
"finding_level": "FINDING_LEVEL_UNSPECIFIED",
"group_by_fields": [
"<string>"
],
"notification": {
"aggregation_type": "AGGREGATION_TYPE_UNSPECIFIED",
"bypass_exceptions": true,
"notification_target_uuids": [
"<string>"
]
},
"project_exceptions": [
"<string>"
],
"project_selector": [
"<string>"
],
"query_statements": [
"<string>"
],
"resource_kinds": [
"<string>"
],
"rule": "<string>",
"template_parameters": [
{
"description": "<string>",
"name": "<string>",
"value": "<string>",
"default_values": [
"<string>"
],
"multiple_ok": true,
"possible_values": [
"<string>"
],
"possible_values_from_db": {
"input_field": "<string>",
"resource_kind": "<string>",
"filter": "<string>",
"namespace": "<string>"
},
"required": true
}
],
"template_uuid": "<string>",
"template_values": {},
"template_version": "<string>"
},
"propagate": true,
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
Body
application/json
Response
A successful response.
Policy represents a policy in the system.
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether the object should be visible in child namespaces or not.
Tenant related data for the tenant containing the resource.
Show child attributes
Show child attributes
The UUID of the policy.
Was this page helpful?
⌘I
UpdatePolicy
